Subject: Re: archives (was The other parts of the report....
From: Carl Malamud <[email-masked]>
To: Ole Jacobsen <[email-masked]>
Cc: scott bradner <[email-masked]>, [email-masked]
Date: Sat, 11 Sep 2004 13:48:48 -0700 (PDT)
List-Id: IETF-Discussion <ietf.ietf.org>

Ole -

I agree that the IETF has a special responsibility to properly present
the archive ... we can't simply lay a big ftp directory out there and
make no efforts to show how a particular file fits in context.

On the other hand, ietf.org could certainly beg/borrow/steal some of 
the work being done in places like potaroo.net and watersprings.org.  
Some things that could be done include:

1. Add some clear text that explains the role of the i-d historical
repository

2. Link to previous and future versions of a draft (including any resulting 
RFC)

3. Link to any relevant mailing list discussions

4. Find related drafts or place the draft in the context of a working group

5. Add a very clear indication that the particular document in question is
"Expired"

As to citing work-in-progress instead of the final standard, well, hmmm ...
if we don't have our own repository, there isn't much we can do.  On the
other hand, if a customer/reader/journalist were able to go to ietf.org
and pull up the document in question, perhaps it could be really clear
what the status is?  If we want to make clear that a document is expired,
it is much better to say so rather than pretend it doesn't exist.

Regards,

Carl

> 
> - Vendors are "stupid" and will claim compliance with a work-in-progress
>   document instead of a final standard. This is "very bad"
> 
> - Drafts often change along the way (including being completely discarded
>   as "bad ideas") and we should discard such snapshots in case someone
>   gets the wrong idea from reading one.
> 
> Needless to say, I don't really buy these arguments. As someone who
> publishes articles where the only existing reference might be an ID at
> the time of writing, I believe there are better mechanisms we could
> use (as we do with RFCs and the "Obsoletes/Obsoleted by" tags).
> 
> Ole
> 
> 
> 
> Ole J. Jacobsen
> Editor and Publisher,  The Internet Protocol Journal
> Academic Research and Technology Initiatives, Cisco Systems
> Tel: +1 408-527-8972   GSM: +1 415-370-4628
> E-mail: [email-masked]  URL: http://www.cisco.com/ipj
> 
> 
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf